Skip to main content
GET
/
ca
/
api
/
income-statement
/
comparative
Get Comparative Income Statement
curl --request GET \
  --url https://api.meetcampfire.com/ca/api/income-statement/comparative \
  --header 'Authorization: <api-key>'
{
  "income_statement": [
    {
      "account_id": "2555",
      "account_name": "Sales, General, and Administrative Expenses",
      "account_number": "600000",
      "hierarchy": [
        "OPERATING_EXPENSES",
        "2555"
      ],
      "2024-01-01_Total": 14883.91,
      "2024-02-01_Total": 15200,
      "comparison_1_Difference": 316.09,
      "comparison_1_Percentage": 2.12
    }
  ],
  "headers": {
    "comparison_1": [
      "2024-01-01_Total",
      "2024-02-01_Total",
      "comparison_1_Difference",
      "comparison_1_Percentage"
    ]
  },
  "budget_id": null
}

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Query Parameters

cadence
enum<string>
default:monthly
Available options:
daily,
monthly,
quarterly,
weekly,
yearly
entity
integer
entity_rollup
boolean
default:false

If true, includes all data of children entities in consolidation

group_by
string

Response

200 - application/json
income_statement
object[]
headers
object
budget_id
string | null